Subject: [bug#51770] [PATCH] update Hurd packages

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 03 Jan 2023 20:14:16 -0500

Hello!

zamfofex <[email-masked]> writes:

> I have been working on updating the Hurd packages for quite a while
> now. My goal was to use netdde (which wasn’t previously working well)
> so that I could install Guix GNU/Hurd on my computer and use it.

> I was asked (in IRC) to say that my changes are necessary to be able
> to get netdde to a working state, since non-release updates are
> generally not accepted. However, I will note that all packages I
> updated (as far as I can tell) were already in a non-release commit.
>
> I have applied my changes over the 'core-update-frozen' branch because
> it seems like the newer version of glibc therein is necessary for
> these newer package commit versions to build successfully.

Thanks for this contribution!

> I will send the patch file generated by 'git format-patch' as an attachment.
>
> If I have done anything wrong while sending this email, please let me know and apologies in advance.

Changes to packages are usually made each in their own commit; also, the
one line .patch file would better be implemented as a substitution phase
(using substitute*).

Could you please send an updated patch series with the above changes?

-- 
Thanks,
Maxim